
Name:		libnetfilter_xtables0
Version:	0.9.1
Release:	3.2
Group:		Productivity/Networking/Security
Summary:	Library for interfacing with Netfilter/packet queueing to userspace
License:	GPL
URL:		http://inai.de/nfxt/

Source:		libnetfilter_xtables-%{version}.tar.bz2
Patch0:		0001-include-provide-extension-headers.patch
BuildRequires:	libnfnetlink-devel libmnl-devel >= 1.0.3 pkgconfig
BuildRequires:	libHX-devel >= 3.6
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
Libnetfilter_xtables provides an API for the Netlink transport that is used for Xtables2.
Xtables2 is one of the prospective replacement candidates for the aged
iptables-arptables-ebtables Linux packet filters.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Harald Welte

%package -n libnetfilter_xtables-devel
Group:		Development/Libraries/C and C++
Summary:	Development files for libnetfilter_xtables
Requires:	%name = %version
Requires:	libnfnetlink-devel
Requires:	libmnl-devel >= 1.0.3

%description -n libnetfilter_xtables-devel
Development files for libnetfilter_xtables.

libnetfilter_xtables is a userspace library providing an API to packets
that have been queued by the kernel packet filter. It is is part of a
system that deprecates the old ip_xtables / libipq mechanism.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>

%prep
%setup -qn libnetfilter_xtables-%version
%patch0 -p1

%build
export CFLAGS="-I/usr/src/linux"
%configure --disable-static
%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n libnetfilter_xtables-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*

%changelog
* Sun Jan 13 2013 cs@linux-administrator.com
- initial package
